RTSP gateways
Configure gateway pools, discover routes, and check source routing.
| Operation | Request |
|---|---|
| Create Pool | POST /api/v1/rtsp-gateway-pools |
| Get Pool | GET /api/v1/rtsp-gateway-pool |
| Update Pool | PUT /api/v1/rtsp-gateway-pool |
| Get Pool | GET /api/v1/rtsp-gateway-pools/{pool_id} |
| Update Pool | PUT /api/v1/rtsp-gateway-pools/{pool_id} |
| Discover rtsp gateways | POST /api/v1/rtsp-gateway-pool/discovery |
| Discover integration rtsp gateways | POST /api/v1/rtsp-gateway-pools/{pool_id}/discovery |
| Start Apply | POST /api/v1/rtsp-gateway-pool/apply |
| Start Apply | POST /api/v1/rtsp-gateway-pools/{pool_id}/apply |
| Get Apply | GET /api/v1/rtsp-gateway-pool/apply/{operation_id} |
| Cancel Apply | DELETE /api/v1/rtsp-gateway-pool/apply/{operation_id} |
| Get Apply | GET /api/v1/rtsp-gateway-pools/{pool_id}/apply/{operation_id} |
| Cancel Apply | DELETE /api/v1/rtsp-gateway-pools/{pool_id}/apply/{operation_id} |
| Get rtsp gateway status | GET /api/v1/rtsp-gateway-pool/status |
| Get integration rtsp gateway status | GET /api/v1/rtsp-gateway-pools/{pool_id}/status |
| Probe rtsp gateway | POST /api/v1/rtsp-gateway-pool/probes |
| Probe integration rtsp gateway | POST /api/v1/rtsp-gateway-pools/{pool_id}/probes |
| Get Probe | GET /api/v1/rtsp-gateway-pool/probes/{probe_id} |
| Cancel Probe | DELETE /api/v1/rtsp-gateway-pool/probes/{probe_id} |
| Get Probe | GET /api/v1/rtsp-gateway-pools/{pool_id}/probes/{probe_id} |
| Cancel Probe | DELETE /api/v1/rtsp-gateway-pools/{pool_id}/probes/{probe_id} |
| Get Route | GET /api/v1/streams/{stream_id}/source-routing |
| Update Route | PUT /api/v1/streams/{stream_id}/source-routing |
